Modify

Opened 2 years ago

Closed 2 years ago

#19781 closed enhancement (wontfix)

Customizable width and opacity of area outline

Reported by: Famlam Owned by: team
Priority: normal Milestone:
Component: Internal mappaint style Version: tested
Keywords: template_report outline area width opacity Cc:

Description (last modified by Klumbumbus)

See attached image. At almost all zoom levels where you still have an overview of the general building and town square outline, the actual edge of the building/pedestrian area is partially covered by the ~5mm almost-non-transparant outline of the pedestrian area.

It would be great if either the opacity (transparancy?) of the broad outline, or the width of the outline (now ~5mm) could be customized

Position: https://www.openstreetmap.org/#map=19/51.95095/4.55236

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-09-06 16:54:59 +0200 (Sun, 06 Sep 2020)
Build-Date:2020-09-07 01:30:48
Revision:17013
Relative:URL: ^/trunk

Identification: JOSM/1.5 (17013 nl) Windows 10 64-Bit
OS Build number: Windows 10 Home 2004 (19041)
Memory Usage: 969 MB / 1820 MB (338 MB allocated, but free)
Java version: 1.8.0_261-b12, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.sun.java.swing.plaf.windows.WindowsLookAndFeel
Screen: \Display0 1920x1080 (scaling 1.0x1.0)
Maximum Screen Size: 1920x1080
Best cursor sizes: 16x16 -> 32x32, 32x32 -> 32x32
Dataset consistency test: No problems found

Plugins:
+ OpeningHoursEditor (35414)
+ imagery_offset_db (35405)
+ pt_assistant (2.1.10-80-g7d9bba3)
+ tageditor (35258)
+ turnlanes-tagging (283)
+ undelete (35521)
+ utilsplugin2 (35487)

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransport&zip=1

Validator rules:
+ %UserProfile%\Documents\tijdelijke bestanden\josm-eigen.validator.mapcss

Last errors/warnings:
- 00043,422 W: java.net.SocketTimeoutException: Read timed out. Oorzaak: java.net.SocketTimeoutException: Read timed out
- 00044,187 W: java.net.SocketTimeoutException: Read timed out. Oorzaak: java.net.SocketTimeoutException: Read timed out

https://josm.openstreetmap.de/raw-attachment/ticket/19781/Outline.png

Attachments (3)

Outline.png (408.2 KB) - added by Famlam 2 years ago.
19781a.PNG (240.4 KB) - added by Klumbumbus 2 years ago.
Mappaintstyles.png (80.2 KB) - added by Famlam 2 years ago.
Surprisingly, the ones listed in the report are the disabled ones only? Anyway, I have the default and Potlach enabled (see image)

Download all attachments as: .zip

Change History (11)

Changed 2 years ago by Famlam

Attachment: Outline.png added

comment:1 Changed 2 years ago by Famlam

Description: modified (diff)

comment:2 Changed 2 years ago by Famlam

Description: modified (diff)

comment:3 Changed 2 years ago by Klumbumbus

Description: modified (diff)

Changed 2 years ago by Klumbumbus

Attachment: 19781a.PNG added

comment:4 Changed 2 years ago by Klumbumbus

Owner: changed from team to Famlam
Status: newneedinfo

The pedestrian area is transparent by default too, see my screenshot. Please check which mappaint styles you have enabled, because I can't reproduce the grey filling with both styles listed in your status report, PublicTransprt and Lane_and_Road_Attributes.


Changed 2 years ago by Famlam

Attachment: Mappaintstyles.png added

Surprisingly, the ones listed in the report are the disabled ones only? Anyway, I have the default and Potlach enabled (see image)

comment:5 Changed 2 years ago by Klumbumbus

Component: Core mappaintInternal mappaint style
Owner: changed from Famlam to team
Status: needinfonew

comment:6 Changed 2 years ago by Klumbumbus

Surprisingly, the ones listed in the report are the disabled ones only?

The internal ones are not listed in the statusreport.

comment:7 Changed 2 years ago by Famlam

Perhaps the following is relevant? mappaint.fillalpha=20 doesn't help (so probably this isn't considered a "fill")

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-09-06 16:54:59 +0200 (Sun, 06 Sep 2020)
Build-Date:2020-09-07 01:30:48
Revision:17013
Relative:URL: ^/trunk

Identification: JOSM/1.5 (17013 nl) Windows 10 64-Bit
OS Build number: Windows 10 Home 2004 (19041)
Memory Usage: 931 MB / 1820 MB (558 MB allocated, but free)
Java version: 1.8.0_261-b12, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.sun.java.swing.plaf.windows.WindowsLookAndFeel
Screen: \Display0 1920x1080 (scaling 1.0x1.0)
Maximum Screen Size: 1920x1080
Best cursor sizes: 16x16 -> 32x32, 32x32 -> 32x32

Plugins:
+ OpeningHoursEditor (35414)
+ imagery_offset_db (35405)
+ pt_assistant (2.1.10-80-g7d9bba3)
+ tageditor (35258)
+ turnlanes-tagging (283)
+ undelete (35521)
+ utilsplugin2 (35487)

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransport&zip=1

Validator rules:
+ %UserProfile%\Documents\tijdelijke bestanden\josm-eigen.validator.mapcss

Last errors/warnings:
- 00054,332 W: java.net.SocketTimeoutException: Read timed out

autosave.enabled=false
cache.bing.attribution.xml=1598998814
cache.capabilities1637351842=1599481014
cache.motd.html=1599823516
cache.motd.html.java=1.8.0_261
cache.motd.html.lang=Nl:
cache.motd.html.version=17013
changeset.lastHeight=242
changesetdialog.lastHeight=0
commandstack.lastHeight=0
conflict.lastHeight=0
conflict.minimized=true
coordinates=DECIMAL_DEGREES
download.autorun=true
download.osm.notes=true
download.overpass.servers=[http://overpass.openstreetmap.ru/cgi/, https://overpass-api.de/api/]
downloadAlongWay.area=1.0
downloadAlongWay.distance=15.0
downloadprimitive.lasttype=1
draw.rawgps.colormode=0
draw.rawgps.lines=2
expert=true
filter.lastHeight=20
filter.minimized=true
filter.visible=true
filters.entries=[{version=1, text=location=underground OR tunnel=*, mode=add, enable=false, hiding=true, inverted=false}, {version=1, text=railway=*, mode=add, enable=false, hiding=true, inverted=false}, {version=1, text=landuse=industrial, mode=add, enable=false, hiding=true, inverted=false}, {version=1, text=landuse=railway, mode=add, enable=false, hiding=true, inverted=false}, {version=1, text=landuse=commercial, mode=add, enable=false, hiding=true, inverted=false}]
gui.geometry=x=-8,y=-8,width=1936,height=1053
gui.maximized=true
gui.start.animation=false
imagery.entries=[{transparent=true, minimumTileExpire=3600, name=BGT omtrekgericht, type=wmts, url=https://geodata.nationaalgeoregister.nl/tiles/service/wmts?request=GetCapabilities&service=WMTS, cookies=, default-layers=[{"layerName":"bgtomtrekgericht","style":"","tileMatrixSet":"EPSG:28992:16"}], customHttpHeaders={}},
  {max-zoom=22, min-zoom=1, noTileHeaders={"X-VE-Tile-Info":["no-tile"]}, noTileChecksums={"MD5":["c13269481c73de6e18589f9fbc3bdf7e"]}, metadataHeaders={"X-VE-TILEMETA-CaptureDatesRange":"Capture Date"}, transparent=true, minimumTileExpire=3600, name=Bing luchtfotografie, id=Bing, type=bing, url=https://www.bing.com/maps/, permission-reference-url=https://wiki.openstreetmap.org/wiki/Bing_Maps, cookies=, icon=data:image/png;base64,iVBORw0..., customHttpHeaders={}, category=photo},
  {max-zoom=22, noTileHeaders={"Etag":["\"10i954m13i2\""]}, noTileChecksums={"MD5":["f27d9de7f80c13501f470595e327aa6d"]}, transparent=true, minimumTileExpire=3600, name=Esri World Imagery, id=EsriWorldImagery, type=tms, url=https://{switch:services,server}.arcgisonline.com/arcgis/rest/services/World_Imagery/MapServer/tile/{zoom}/{y}/{x}, attribution-text=Terms & Feedback, attribution-url=https://wiki.openstreetmap.org/wiki/Esri, cookies=, icon=data:image/png;base64,iVBORw0..., customHttpHeaders={}, category=photo},
  {max-zoom=22, transparent=true, minimumTileExpire=3600, name=Esri World Imagery (Clarity) Beta, id=EsriWorldImageryClarity, type=tms, url=https://clarity.maptiles.arcgis.com/arcgis/rest/services/World_Imagery/MapServer/tile/{zoom}/{y}/{x}, attribution-text=Terms & Feedback, attribution-url=https://wiki.openstreetmap.org/wiki/Esri, permission-reference-url=https://github.com/osmlab/editor-layer-index/pull/358#issuecomment-361416110, cookies=, icon=data:image/png;base64,iVBORw0..., description=Esri archiefafbeeldingen die helderder en meer nauwkeuriger zouden kunnen zijn dan de standaardlaag., customHttpHeaders={}, category=photo},
  {max-zoom=22, noTileHeaders={"ETag":["\"067736a547cafe90014b4e59b6510abe\"|\"ee1f6802b0234046b553cbbc672ac7d9\"|\"9f5a2f1d7cc131e58befc2052c71c827\""]}, noTileChecksums={"MD5":["811bb5f56a0e672f674a2a820d340c61"]}, transparent=true, minimumTileExpire=3600, name=Mapbox Satellite, id=Mapbox, type=tms, url=https://{switch:a,b,c,d}.tiles.mapbox.com/v4/mapbox.satellite/{zoom}/{x}/{y}.jpg?access_token=pk.eyJ1Ijoib3BlbnN0cmVldG1hcCIsImEiOiJjaml5MjVyb3MwMWV0M3hxYmUzdGdwbzE4In0.q548FjhsSJzvXsGlPsFxAQ, attribution-text=Terms & Feedback, attribution-url=https://www.mapbox.com/about/maps/, permission-reference-url=https://wiki.openstreetmap.org/wiki/Vertical_Aerial_Photographs#DigitalGlobe_.2F_MapBox, cookies=, icon=data:image/png;base64,iVBORw0..., customHttpHeaders={}, category=photo},
  {max-zoom=22, valid-georeference=true, transparent=true, minimumTileExpire=3600, name=Maxar Premium afbeeldingen (Bèta), id=Maxar-Premium, type=tms, url=https://services.digitalglobe.com/earthservice/tmsaccess/tms/1.0.0/DigitalGlobe:ImageryTileService@EPSG:3857@jpg/{zoom}/{x}/{-y}.jpg?connectId=_apiKey_&foo=premium, attribution-text=Terms & Feedback, attribution-url=https://wiki.openstreetmap.org/wiki/DigitalGlobe, cookies=, icon=data:image/png;base64,iVBORw0..., description=Maxar Premium is een mozaïek, samengesteld uit de Maxar basiskaart met geselecteerde regio's gevuld met +Vivid of afbeeldingen van aangepast gebied van interesse, 50cm resolutie of beter, en meer frequent ververst met doorlopende updates., customHttpHeaders={}, category=photo},
  {max-zoom=18, valid-georeference=true, modTileFeatures=true, transparent=true, minimumTileExpire=3600, name=OpenStreetMap (Standaard zwart & wit), id=osm-mapnik-black_and_white, type=tms, url=https://tiles.wmflabs.org/bw-mapnik/{zoom}/{x}/{y}.png, attribution-text=© OpenStreetMap contributors, CC-BY-SA, attribution-url=https://www.openstreetmap.org/, cookies=, icon=data:image/png;base64,iVBORw0..., customHttpHeaders={}, category=osmbasedmap},
  {max-zoom=19, valid-georeference=true, modTileFeatures=true, transparent=true, minimumTileExpire=3600, name=OpenStreetMap Carto (Standaard), id=standard, type=tms, url=https://{switch:a,b,c}.tile.openstreetmap.org/{zoom}/{x}/{y}.png, attribution-text=© OpenStreetMap contributors, attribution-url=https://www.openstreetmap.org/, permission-reference-url=https://wiki.osmfoundation.org/wiki/Terms_of_Use, cookies=, icon=data:image/png;base64,iVBORw0..., customHttpHeaders={}, category=osmbasedmap},
  {transparent=true, minimumTileExpire=3600, name=PDOK Luchtfoto actueel IR, type=wms, url=https://geodata.nationaalgeoregister.nl/luchtfoto/infrarood/wms?FORMAT=image/jpeg&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetMap&LAYERS=Actueel_ortho25IR&STYLES=&SRS={proj}&WIDTH={width}&HEIGHT={height}&BBOX={bbox}, cookies=, customHttpHeaders={}}
]
imagery.layers.default=[Bing, EsriWorldImagery, EsriWorldImageryClarity, Mapbox, Maxar-Premium, Maxar-Standard, osm-mapnik-black_and_white, standard]
imagery.offsetbookmarks=[]
iodb.modify.toolbar=false
josm.version=17013
lastDirectory=%UserProfile%\Desktop
layerlist.lastHeight=138
mappaint.fillalpha=20
mappaint.renderer-class-name=org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer
mappaint.style.entries=[{active=true, title=JOSM standaard (MapCSS), ptoken=standard, url=resource://styles/standard/elemstyles.mapcss}, {active=true, title=Potlatch 2, ptoken=standard, url=resource://styles/standard/potlatch2.mapcss}, {active=false, title=Lane and road attributes, url=https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1}, {active=false, title=Public Transport, url=https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransport&zip=1}]
mappaint.style.known-defaults=[resource://styles/standard/elemstyles.mapcss, resource://styles/standard/potlatch2.mapcss]
mapstyle.lastHeight=0
menu.always-visible=false
message.imagery.nagPanel.https://geodata.nationaalgeoregister.nl/luchtfoto/infrarood/wms?FORMAT=image/jpeg&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetMap&LAYERS=Actueel_ortho25IR&STYLES=&SRS={proj}&WIDTH={width}&HEIGHT={height}&BBOX={bbox}=false
message.imagery.nagPanel.https://geodata.nationaalgeoregister.nl/tiles/service/wmts?request=GetCapabilities&service=WMTS=false
minimap.lastHeight=0
mirror.https://geodata.nationaalgeoregister.nl/luchtfoto/infrarood/wms?request_GetCapabilities=[1578850628378, <josm.cache>\mirror_https___geodata.nationaalgeoregister.nl_luchtfoto_infrarood_wms_request_GetCapabilities]
mirror.https://geodata.nationaalgeoregister.nl/luchtfoto/rgb/wmts?request_GetCapabilities=[1578248252414, <josm.cache>\mirror_https___geodata.nationaalgeoregister.nl_luchtfoto_rgb_wmts_request_GetCapabilities]
mirror.https://geodata.nationaalgeoregister.nl/tiles/service/wmts?request_GetCapabilities&service_WMTS=[1599823602053, <josm.cache>\mirror_https___geodata.nationaalgeoregister.nl_tiles_service_wmts_request_GetCapabilities_service_WMTS]
mirror.https://josm.openstreetmap.de/josmfile?page_Rules/KeepRight&zip_1=[1595622452205, <josm.cache>\mirror_https___josm.openstreetmap.de_josmfile_page_Rules_KeepRight_zip_1]
mirror.https://josm.openstreetmap.de/josmfile?page_Styles/Lane_and_Road_Attributes&zip_1=[1599481015313, <josm.cache>\mirror_https___josm.openstreetmap.de_josmfile_page_Styles_Lane_and_Road_Attributes_zip_1]
mirror.https://josm.openstreetmap.de/josmfile?page_Styles/PublicTransport&zip_1=[1599481015376, <josm.cache>\mirror_https___josm.openstreetmap.de_josmfile_page_Styles_PublicTransport_zip_1]
mirror.https://josm.openstreetmap.de/maps=[1599823518078, <josm.cache>\mirror_https___josm.openstreetmap.de_maps]
mirror.https://josm.openstreetmap.de/presets=[1599836256496, <josm.cache>\mirror_https___josm.openstreetmap.de_presets]
mirror.https://josm.openstreetmap.de/remote/geofabrik-index-v1-nogeom.json=[1599481015547, <josm.cache>\mirror_https___josm.openstreetmap.de_remote_geofabrik-index-v1-nogeom.json]
mirror.https://josm.openstreetmap.de/remote/sophox-sparql?query_SELECT+%28CONCAT%28%22Key%3A%22%2C+%3Fpermanent_key_ID%29+as+%3FOSM_key%29+%3Fformatter_URL+WHERE+%7B%0A++%3Fitem+osmdt%3AP2+osmd%3AQ7.%0A++%3Fitem+osmdt%3AP16+%3Fpermanent_key_ID.%0A++%3Fitem+osmdt%3AP8+%3Fformatter_URL.%0A%7D%0A=[1591046349183, <josm.cache>\mirror_https___josm.openstreetmaa9afd68cc62ad3780ff2609e7bb1e11b]
mirror.https://josm.openstreetmap.de/remote/wikidata-sparql?query_SELECT+%3FOSM_key+%3Fformatter_URL+WHERE+%7B%0A++%7B+%3Fitem+wdt%3AP1282+%3FOSM_key.+%7D%0A++FILTER%28STRSTARTS%28%3FOSM_key%2C+%27Key%3A%27%29%29+.%0A%0A++%7B%0A++++%7B+%3Fitem+wdt%3AP1630+%3Fformatter_URL.+%7D%0A++++UNION%0A++++%7B+%3Fitem+wdt%3AP3303+%3Fformatter_URL.+%7D%0A++%7D%0A%7D%0A=[1591046348863, <josm.cache>\mirror_https___josm.openstreetma2ed2f87d98ef5b24c7f8123020996ecf]
mirror.https://josm.openstreetmap.de/rules=[1597741136599, <josm.cache>\mirror_https___josm.openstreetmap.de_rules]
mirror.https://josm.openstreetmap.de/styles=[1599836249295, <josm.cache>\mirror_https___josm.openstreetmap.de_styles]
mirror.https://josm.openstreetmap.de/tested=[1599572183601, <josm.cache>\mirror_https___josm.openstreetmap.de_tested]
mirror.https://josm.openstreetmap.de/wiki/Plugin/PT_Assistant/Wizard?format_txt=[1572986605154, <josm.cache>\mirror_https___josm.openstreetmap.de_wiki_Plugin_PT_Assistant_Wizard_format_txt]
mirror.https://query.wikidata.org/sparql?query_SELECT+%3FOSM_key+%3Fformatter_URL+WHERE+%7B%0A++%7B+%3Fitem+wdt%3AP1282+%3FOSM_key.+%7D%0A++FILTER%28STRSTARTS%28%3FOSM_key%2C+%27Key%3A%27%29%29+.%0A%0A++%7B%0A++++%7B+%3Fitem+wdt%3AP1630+%3Fformatter_URL.+%7D%0A++++UNION%0A++++%7B+%3Fitem+wdt%3AP3303+%3Fformatter_URL.+%7D%0A++%7D%0A%7D%0A=[1581878176573, <josm.cache>\mirror_https___query.wikidata.orafe1bbcbeea917612040d02750123dbc]
mirror.https://sophox.org/sparql?query_SELECT+%28CONCAT%28%22Key%3A%22%2C+%3Fpermanent_key_ID%29+as+%3FOSM_key%29+%3Fformatter_URL+WHERE+%7B%0A++%3Fitem+osmdt%3AP2+osmd%3AQ7.%0A++%3Fitem+osmdt%3AP16+%3Fpermanent_key_ID.%0A++%3Fitem+osmdt%3AP8+%3Fformatter_URL.%0A%7D%0A=[1581878176766, <josm.cache>\mirror_https___sophox.org_sparql90f0ddf84bcdeb2d57ad686b549968b1]
notes/note_open.lastHeight=0
notification-time-default-ms=8000
notification-time-short-ms=5000
openqa.filetype=geojson
openqa.osmose-tests=[...]
org.openstreetmap.josm.gui.conflict.tags.CombinePrimitiveResolverDialog.geometry=x=965,y=273,width=800,height=600
org.openstreetmap.josm.gui.dialogs.DeleteFromRelationConfirmationDialog.geometry=x=760,y=418,width=400,height=200
org.openstreetmap.josm.gui.dialogs.changeset.ChangesetCacheManager.geometry=x=0,y=0,width=1000,height=600
org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog.geometry=x=573,y=478,width=811,height=602
org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$EditTagDialog.geometry=x=90,y=788,width=1110,height=190
org.openstreetmap.josm.gui.dialogs.relation.GenericRelationEditor.geometry=x=1076,y=104,width=700,height=800
org.openstreetmap.josm.gui.download.DownloadDialog.geometry=x=357,y=127,width=1000,height=600
org.openstreetmap.josm.gui.download.DownloadObjectDialog.primitivesHistory=[261302947, 177014133, 720841109, 720841108, 720841107, 720841106, 720841105, 720841104, 720841103, 720841102, 720841101, 720841100]
org.openstreetmap.josm.gui.help.HelpBrowser.geometry=x=0,y=0,width=600,height=400
org.openstreetmap.josm.gui.history.HistoryBrowserDialogManager.geometry=x=911,y=177,width=850,height=744
org.openstreetmap.josm.gui.io.UploadDialog.geometry=x=1310,y=100,width=600,height=890
org.openstreetmap.josm.gui.oauth.OAuthAuthorizationWizard.geometry=x=537,y=261,width=845,height=518
org.openstreetmap.josm.gui.preferences.imagery.AddTMSLayerPanel.geometry=x=760,y=218,width=400,height=600
org.openstreetmap.josm.gui.preferences.imagery.AddWMSLayerPanel.geometry=x=1102,y=266,width=400,height=600
org.openstreetmap.josm.gui.preferences.imagery.AddWMTSLayerPanel.geometry=x=760,y=218,width=400,height=600
org.openstreetmap.josm.plugins.tageditor.TagEditorDialog.geometry=x=610,y=268,width=700,height=500
org.openstreetmap.josm.plugins.utilsplugin2.latlon.LatLonDialog.geometry=x=684,y=181,width=551,height=675
osm-download.bounds=51.8483752;5.8545542;51.8489385;5.8552516
osm-server.upload-strategy=singlerequest
pluginmanager.lastupdate=1599512351712
pluginmanager.time-based-update.policy=always
pluginmanager.version=17013
pluginmanager.version-based-update.policy=always
plugins=[OpeningHoursEditor, imagery_offset_db, pt_assistant, tageditor, turnlanes-tagging, undelete, utilsplugin2]
preferences.reset.draw.rawgps.lines=true
properties.recent-tags=[...]
properties.recently-added-tags=12
propertiesdialog.lastHeight=188
proxy.policy=no-proxy
pt_assistant.wizard.0.information=This wizard can help you set up your JOSM environment to make it more suitable to work on route relations
pt_assistant.wizard.0.title=Public Transport Assistant Wizard
pt_assistant.wizard.0.type=information
pt_assistant.wizard.1.preference=properties.recently-added-tags
pt_assistant.wizard.1.question=How many tags do you want to see?
pt_assistant.wizard.1.title=Set number of proposed tags
pt_assistant.wizard.1.type=edit_preference
pt_assistant.wizard.2.question=For which functionality would you like to add icons to the toolbar
pt_assistant.wizard.2.suggestion=[[Split Roundabout, icons/splitroundabout], [Sort stops in route relation, icons/sortptroutemembers]]
pt_assistant.wizard.2.title=Icons to add to toolbar
pt_assistant.wizard.2.type=toolbar_icons
pt_assistant.wizard.3.question=Would you like to add these map paint styles?
pt_assistant.wizard.3.suggestion=[[Public Transport, Default, https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransport&zip=1], [Numbered Cycle Nodes, Not Default, https://josm.openstreetmap.de/josmfile?page=Styles/NumberedCycleNodeNetworks&zip=1], [Numbered Hiking Nodes, Not Default, https://josm.openstreetmap.de/josmfile?page=Styles/NumberedWalkingNodeNetworks&zip=1]]
pt_assistant.wizard.3.title=Map Paint Styles
pt_assistant.wizard.3.type=map_paint_styles
pt_assistant.wizard.4.question=Would  you  like  to  add  some     convenient Overpass API queries for downloading specific OSM data?
pt_assistant.wizard.4.suggestion=[[Buses, Default, [out:xml][timeout:325][bbox:{{bbox}}];, (,   (,     node["highway"="bus_stop"];,     node["public_transport"="platform"]["train"!="yes"]["ferry"!="yes"];,     node["public_transport"="stop_position"]["train"!="yes"]["ferry"!="yes"];,   );,   ._;<;,   way["highway"="platform"];,   way["amenity"="shelter"];,   node["amenity"="shelter"];,   relation["route"~"bus|trolleybus|coach"];, );, (._;>;);, out meta;],
  [Trams, Default, [out:xml][timeout:325][bbox:{{bbox}}];, (,   (,     node["railway"="tram_stop"];,     node["public_transport"="platform"]["train"!="yes"]["ferry"!="yes"];,     node["public_transport"="stop_position"]["train"!="yes"]["ferry"!="yes"];,   );,   ._;<;,   way["railway"="platform"];,   way["amenity"="shelter"];,   node["amenity"="shelter"];,   relation["route"="tram"];, );, (._;>;);, out meta;],
  [Subway / Metro, Default, [out:xml][timeout:325][bbox:{{bbox}}];, (,   (,     node["railway"="subway"];,     node["public_transport"="platform"]["ferry"!="yes"];,     node["public_transport"="stop_position"]["ferry"!="yes"];,   );,   ._;<;,   way["railway"="platform"];,   way["amenity"="shelter"];,   node["amenity"="shelter"];,   relation["route"="subway"];, );, (._;>;);, out meta;],
  [Trains, Default, [out:xml][timeout:325][bbox:{{bbox}}];, (,   (,     node["railway"~"station|stop"];,     node["public_transport"="platform"]["ferry"!="yes"];,     node["public_transport"="stop_position"]["ferry"!="yes"];,   );,   ._;<;,   way["railway"="platform"];,   way["amenity"="shelter"];,   node["amenity"="shelter"];,   relation["route"="tram"];, );, (._;>;);, out meta;]
]
pt_assistant.wizard.4.title=Convenient Overpass API Queries
pt_assistant.wizard.4.type=overpass_queries
pt_assistant.wizard.pages=4
relationlist.lastHeight=188
search.history=[...]
selectionlist.lastHeight=188
sourcetag.value=BAG
toggleDialogs.width=668
toolbar=[open, save, dialogs/search(searchExpression=), download, download_along_way, updatemodified, upload, |, undo, redo, |, splitway, combineway, wayflip, |, alignline, mergenodes, aligncircle, ortho, |, mappaint/Lane and road attributes, |, tagging_Relations/Turn Restriction, turnlanes-tagging]
toolbar.always-visible=false
undelete.osmid=261302947
upload.comment.history=[...]
upload.comment.last-used=1599900463
upload.source.history=[...]
userlist.lastHeight=0
utilsplugin2.customurl=https://www.openstreetmap.org/{#type}/{#id}/history
utilsplugin2.urlHistory=[Wikipedia,
  https://en.wikipedia.org/w/index.php?search={name}&fulltext=Search,
  Wikipedia RU,
  http://osm.mapki.com/history/{#type}.php?id={#id},
  Who Dit It?,
  http://simon04.dev.openstreetmap.org/whodidit/?zoom=12&lat={#lat}&lon={#lon}&layers=BTT,
  Keep Right validator,
  http://keepright.ipax.at/report_map.php?zoom=14&lat={#lat}&lon={#lon}&layers=B0T,
  Element history [demo, =Ctrl-Shift-H],
  https://www.openstreetmap.org/{#type}/{#id}/history,
  Browse element [demo, =Ctrl-Shift-I],
  https://www.openstreetmap.org/{#type}/{#id}
]
validator.check_assert_local_rules=true
validator.ignorelist=[{1=Knopen op dezelfde positie, 1213_Key 'TYPE' looks like 'type'.=Fout gespelde sleutel eigenschap, 1701_Role 'part' is not in templates '':r_1626371:r_1723870:r_1723871:r_1727037:r_1730421:r_1742165:r_1748309:r_1764594:r_3003356:r_50272:r_6496688=Probleem bij verificatie van rol, 1706_Role '<leeg>' missing=Probleem bij verificatie van rol, 1708_Role of relation member does not match template expression 'natural=peak || natural=volcano || mountain_pass=yes || natural=water || tourism=viewpoint || amenity=drinking_water || natural=spring || place=locality' in preset Walking Route=Probleem bij verificatie van rol, 1709_Type 'knoop' of relation member with role '' does not match accepted types 'relatie' in preset Route Network=Probleem bij verificatie van rol, 1709_Type 'knoop' of relation member with role '' does not match accepted types 'weg/geslotenweg' in preset Bicycle Route=Probleem bij verificatie van rol, 1709_Type 'relatie' of relation member with role '' does not match accepted types 'knoop/weg/geslotenweg' in preset Hiking Route=Probleem bij verificatie van rol, 1709_Type 'relatie' of relation member with role '' does not match accepted types 'weg/geslotenweg' in preset Bicycle Route=Probleem bij verificatie van rol, 1709_Type 'relatie' of relation member with role '' does not match accepted types 'weg/geslotenweg' in preset Road Route=Probleem bij verificatie van rol, 1709_Type 'weg' of relation member with role '' does not match accepted types 'relatie' in preset Route Network=Probleem bij verificatie van rol, 3000_payment:credit_cards=yes is onnauwkeurig. Gebruik afzonderlijke tags voor elk specifiek type, bijv. payment:mastercard=yes of payment:visa=yes.=payment:credit_cards=yes is onnauwkeurig. Gebruik afzonderlijke tags voor elk specifiek type, bijv. payment:mastercard=yes of payment:visa=yes., 3000_payment:debit_cards=yes is onnauwkeurig. Gebruik afzonderlijke tags voor elk specifiek type, bijv. payment:maestro=yes of payment:girocard=yes.=payment:debit_cards=yes is onnauwkeurig. Gebruik afzonderlijke tags voor elk specifiek type, bijv. payment:maestro=yes of payment:girocard=yes., 3000_phone_1=onwaarschijnlijke sleutel (eindigt op een getal), 3000_website_1=onwaarschijnlijke sleutel (eindigt op een getal), 3701=PT: De naam van de laatste stop komt niet overeen met de tag "to" van de relatie van de route, 614=Kruisend gebouw/bewoond gebied, 630=Kruisende spoorwegen}
]
validator.ignorelist.version=2
validator.lastHeight=190
validator.org.openstreetmap.josm.data.validation.tests.MapCSSTagChecker.entries=[{active=true, title=Adressen, url=resource://data/validator/addresses.mapcss},
  {active=true, title=Tagcombinaties, url=resource://data/validator/combinations.mapcss},
  {active=true, title=Vervallen mogelijkheden, url=resource://data/validator/deprecated.mapcss},
  {active=true, title=Geometrie, url=resource://data/validator/geometry.mapcss},
  {active=true, title=Wegen, url=resource://data/validator/highway.mapcss},
  {active=true, title=Meervoudige waarden, url=resource://data/validator/multiple.mapcss},
  {active=true, title=Numerieke waarden, url=resource://data/validator/numeric.mapcss},
  {active=true, title=Religie, url=resource://data/validator/religion.mapcss},
  {active=true, title=Relaties, url=resource://data/validator/relation.mapcss},
  {active=true, title=Gebieden, url=resource://data/validator/territories.mapcss},
  {active=true, title=Onnodige tags, url=resource://data/validator/unnecessary.mapcss},
  {active=true, title=Wikipedia, url=resource://data/validator/wikipedia.mapcss},
  {active=true, title=Eigen filters, url=%UserProfile%\Documents\tijdelijke bestanden\josm-eigen.validator.mapcss}
]
validator.skip=[]
validator.skipBeforeUpload=[org.openstreetmap.josm.data.validation.tests.NameMismatch, org.openstreetmap.josm.data.validation.tests.PowerLines, org.openstreetmap.josm.data.validation.tests.SimilarNamedWays, org.openstreetmap.josm.data.validation.tests.UnconnectedWays$UnconnectedPower, org.openstreetmap.josm.data.validation.tests.WayConnectedToArea, org.openstreetmap.josm.plugins.pt_assistant.validation.BicycleFootRouteValidatorTest, org.openstreetmap.josm.plugins.pt_assistant.validation.PTAssistantValidatorTest]
validator.visible=true

comment:8 Changed 2 years ago by Klumbumbus

Resolution: wontfix
Status: newclosed

The Potlatch2 style defines a 0.8 opacity for the fill of a pedestrian area, see the original source: https://git.openstreetmap.org/potlatch2.git/blob/HEAD:/resources/stylesheets/core_ways.css (line 26).

To work around this you can create an own mappaint style with the following code:

area[highway=pedestrian]:closed {fill-opacity: 0.2;}

and add it to your list of styles (below the Potlatch 2 style).

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.